Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class SimpleParserTokenManager

    java.lang.Object
      xjavadoc.SimpleParserTokenManager

All Implemented Interfaces:
  SimpleParserConstants

public class SimpleParserTokenManager
extends Object
implements SimpleParserConstants

Field Summary
`protected char` | `curChar`
`(package private) int` | `curLexState`
`PrintStream` | `debugStream`
`(package private) int` | `defaultLexState`
`(package private) StringBuffer` | `image`
`(package private) static long[]` | `jjbitVec0`
`(package private) static long[]` | `jjbitVec2`
`(package private) static long[]` | `jjbitVec3`
`(package private) static long[]` | `jjbitVec4`
`(package private) static long[]` | `jjbitVec5`
`(package private) static long[]` | `jjbitVec6`
`(package private) static long[]` | `jjbitVec7`
`(package private) static long[]` | `jjbitVec8`
`(package private) int` | `jjimageLen`
`(package private) int` | `jjmatchedKind`
`(package private) int` | `jjmatchedPos`
`static int[]` | `jjnewLexState`
`(package private) int` | `jjnewStateCnt`
`(package private) static int[]` | `jjnextStates`
`(package private) int` | `jjround`
`static String[]` | `jjstrLiteralImages`
`(package private) static long[]` | `jjtoMore`
`(package private) static long[]` | `jjtoSkip`
`(package private) static long[]` | `jjtoSpecial`
`(package private) static long[]` | `jjtoToken`
`(package private) int` | `lengthOfMatch`
`static String[]` | `lexStateNames`

Fields inherited from interface xjavadoc.SimpleParserConstants
`_DEFAULT, ABSTRACT, ANDASSIGN, ASSERT, ASSIGN, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

Constructor Summary
`SimpleParserTokenManager(JavaCharStream stream)`
`SimpleParserTokenManager(JavaCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`(package private) void` | `MoreLexicalActions()`
`void` | `ReInit(JavaCharStream stream)`
`void` | `ReInit(JavaCharStream stream, int lexState)`
`void` | `setDebugStream(PrintStream ds)`
`(package private) void` | `SkipLexicalActions(Token matchedToken)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjbitVec2

    static final long[] jjbitVec2

### jjbitVec3

    static final long[] jjbitVec3

### jjbitVec4

    static final long[] jjbitVec4

### jjbitVec5

    static final long[] jjbitVec5

### jjbitVec6

    static final long[] jjbitVec6

### jjbitVec7

    static final long[] jjbitVec7

### jjbitVec8

    static final long[] jjbitVec8

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoSpecial

    static final long[] jjtoSpecial

### jjtoMore

    static final long[] jjtoMore

### image

    StringBuffer image

### jjimageLen

    int jjimageLen

### lengthOfMatch

    int lengthOfMatch

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### SimpleParserTokenManager

    public SimpleParserTokenManager(JavaCharStream stream)

### SimpleParserTokenManager

    public SimpleParserTokenManager(JavaCharStream stream,
                                    int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(JavaCharStream stream)

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

### SkipLexicalActions

    final void SkipLexicalActions(Token matchedToken)

### MoreLexicalActions

    final void MoreLexicalActions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.